# <btsreset>

[This is preliminary documentation and subject to change.]

Allows stopping, starting and resetting of BizTalk in-process host instances on the specified server.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
server | string | The name of the BizTalk server on which to perform the action. | True
action | ResetAction | Specifies the action(s) to perform on the BizTalk host instances. The default is `Reset`. | False
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)